LINUX.ORG.RU
ФорумAdmin

glibc...compat-glibc


0

0

У меня дистриб caldera 2.2.5 шел с glibc-2.1-3, хотел ставить последний sendmail из rpm-a - заругалась на кучу недостаюшего от glibc-2.2 и т.д. - апгрейдить до глибсов 2.2 - дело неблагодарное взял и собрал из бинарников, все ОК. но потом потребовалось поставить одну прогу, а бинарники у нее какие-то непонятные ни make там не сделаешь, вобщем взял rpm-ый вариант а ему нужно libcrypt.so.1 libdl.so и еще парочка из той же оперы, которое содержится в glibc но не моей версии. Ставить другой глибс я не стал, а взял compat-glibc и попробовал его просто rpm -i comapt-glibc-6.2-2.1.3.2.i386.rpm. (побоялся апгрейдить для начала -i что б потом можно было снести безболезнено) на удивление встало без единого матного слова. Только все свои /lib поместила в /usr/i386-glibc21-linux/lib. И потом когда уже проинсталенная прога ругнулась на libcrypt.so.1 , я взял и скопировал в /lib @libcrypt.so.1 и libcrypt-2.1.3.so в /lib. Все стало ОК, но как быть с другими, если понадобятся , может все из /usr/i386-glibc21-linux/lib скопировать в /lib? P.S. ldconfig делал

anonymous

Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.